#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

ll a,b;
int t;

int main() 
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin >> t;
    
    while(t--)
    {
        cin >> a >> b;
        bool naso = false;
        for(ll i = 1;i*i<=a && !naso;i=i+2)
        {
            if(a%i==0)
            {
                ll j = a/i;
                if((i ^ j) == b)
                {
                    cout << i << " " << j << "\n";
                    naso = true;
                }
            }
        }
        
        if(!naso) cout << -1 << "\n";
    }
    
    return 0;
}